Subject: bug#66897: cannot load autoloads for hyperbole (doom emacs)

From: Mats Lidell <[email-masked]>
Date: Thu, 02 Nov 2023 16:04:27 +0100

Hi Alan,

> [email-masked] writes:
> Hello,
>
> I have a strange problem: I can install hyperbole on doom emacs with no
> issue, but when I later try to upgrade it, it no longer loads with
> this error:
>
> internal-macroexpand-for-load: Eager macro-expansion failure: (error
> "Hyperbole failed to generate autoload files; try running ’make src’ in
> a shell in
> /Users/schmitta/.emacs.d/.local/straight/build-29.1/hyperbole/")
>
> (It actually asks me first to create a kotl directory there).
>
> I cannot run the suggested command because there is no Makefile in this
> directory:
>
> schmitta@TM ~/.e/.l/s/b/hyperbole (master) [1]> ls -l
> total 344
> lrwxr-xr-x 1 schmitta staff 64 Nov 2 13:08 hact.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hact.el
> -rw-r--r--  1 schmitta  staff  19342 Nov  2 13:08 hact.elc
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hactypes.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hactypes.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hargs.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hargs.el
> lrwxr-xr-x 1 schmitta staff 66 Nov 2 13:08 hbdata.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hbdata.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hbmap.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hbmap.el
> -rw-r--r--  1 schmitta  staff   3405 Nov  2 13:08 hbmap.elc
> lrwxr-xr-x 1 schmitta staff 64 Nov 2 13:08 hbut.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hbut.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hgnus.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hgnus.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hhist.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hhist.el
> -rw-r--r--  1 schmitta  staff   1562 Nov  2 13:08 hhist.elc
> lrwxr-xr-x 1 schmitta staff 71 Nov 2 13:08 hib-debbugs.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hib-debbugs.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hib-doc-id.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hib-doc-id.el
> lrwxr-xr-x 1 schmitta staff 67 Nov 2 13:08 hib-kbd.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hib-kbd.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hib-social.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hib-social.el
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hibtypes.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hibtypes.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hinit.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hinit.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hload-path.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hload-path.el
> -rw-r--r--  1 schmitta  staff   5396 Nov  2 13:08 hload-path.elc
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hmail.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmail.el
> -rw-r--r--  1 schmitta  staff   7726 Nov  2 13:08 hmail.elc
> lrwxr-xr-x  1 schmitta  staff     63 Nov  2 13:08 hmh.el@ -> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmh.el
> lrwxr-xr-x 1 schmitta staff 67 Nov 2 13:08 hmoccur.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmoccur.el
> -rw-r--r--  1 schmitta  staff   6047 Nov  2 13:08 hmoccur.elc
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hmouse-drv.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-drv.el
> lrwxr-xr-x 1 schmitta staff 71 Nov 2 13:08 hmouse-info.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-info.el
> -rw-r--r--  1 schmitta  staff   9481 Nov  2 13:08 hmouse-info.elc
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hmouse-key.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-key.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hmouse-mod.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-mod.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hmouse-sh.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-sh.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hmouse-tag.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-tag.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hpath.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hpath.el
> lrwxr-xr-x 1 schmitta staff 66 Nov 2 13:08 hrmail.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hrmail.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hsettings.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsettings.el
> lrwxr-xr-x 1 schmitta staff 66 Nov 2 13:08 hsmail.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsmail.el
> lrwxr-xr-x 1 schmitta staff 73 Nov 2 13:08 hsys-org-roam.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsys-org-roam.el
> -rw-r--r--  1 schmitta  staff    621 Nov  2 13:08 hsys-org-roam.elc
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hsys-org.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsys-org.el
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hsys-www.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsys-www.el
> lrwxr-xr-x 1 schmitta staff 72 Nov 2 13:08 hsys-youtube.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsys-youtube.el
> lrwxr-xr-x  1 schmitta  staff     63 Nov  2 13:08 htz.el@ -> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/htz.el
> -rw-r--r--  1 schmitta  staff  10349 Nov  2 13:08 htz.elc
> lrwxr-xr-x 1 schmitta staff 77 Nov 2 13:08 hui-dired-sidebar.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-dired-sidebar.el
> -rw-r--r--  1 schmitta  staff   1641 Nov  2 13:08 hui-dired-sidebar.elc
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hui-em-but.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-em-but.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hui-jmenu.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-jmenu.el
> -rw-r--r--  1 schmitta  staff   8079 Nov  2 13:08 hui-jmenu.elc
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hui-menu.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-menu.el
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hui-mini.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-mini.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hui-mouse.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-mouse.el
> lrwxr-xr-x 1 schmitta staff 72 Nov 2 13:08 hui-register.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-register.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hui-select.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-select.el
> lrwxr-xr-x 1 schmitta staff 72 Nov 2 13:08 hui-treemacs.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-treemacs.el
> -rw-r--r--  1 schmitta  staff   2988 Nov  2 13:08 hui-treemacs.elc
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hui-window.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-window.el
> lrwxr-xr-x  1 schmitta  staff     63 Nov  2 13:08 hui.el@ -> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui.el
> lrwxr-xr-x 1 schmitta staff 64 Nov 2 13:08 hvar.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hvar.el
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hversion.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hversion.el
> lrwxr-xr-x  1 schmitta  staff     63 Nov  2 13:08 hvm.el@ -> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hvm.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hycontrol.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hycontrol.el
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hypb-ert.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hypb-ert.el
> lrwxr-xr-x 1 schmitta staff 76 Nov 2 13:08 hypb-maintenance.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hypb-maintenance.el
> lrwxr-xr-x 1 schmitta staff 64 Nov 2 13:08 hypb.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hypb.el
> -rw-r--r--  1 schmitta  staff  68662 Nov  2 13:08 hyperbole-autoloads.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hyperbole.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hyperbole.el
> lrwxr-xr-x 1 schmitta staff 71 Nov 2 13:08 hyrolo-demo.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hyrolo-demo.el
> lrwxr-xr-x 1 schmitta staff 72 Nov 2 13:08 hyrolo-logic.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hyrolo-logic.el
> lrwxr-xr-x 1 schmitta staff 71 Nov 2 13:08 hyrolo-menu.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hyrolo-menu.el
> lrwxr-xr-x 1 schmitta staff 66 Nov 2 13:08 hyrolo.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hyrolo.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hywconfig.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hywconfig.el
> drwxr-xr-x  2 schmitta  staff     64 Nov  2 13:19 kotl/
> lrwxr-xr-x  1 schmitta  staff     63 Nov  2 13:08 set.el@ -> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/set.el
> -rw-r--r--  1 schmitta  staff   6611 Nov  2 13:08 set.elc
> schmitta@TM ~/.e/.l/s/b/hyperbole (master) [1]> ls -l
> total 344
> lrwxr-xr-x 1 schmitta staff 64 Nov 2 13:08 hact.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hact.el
> -rw-r--r--  1 schmitta  staff  19342 Nov  2 13:08 hact.elc
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hactypes.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hactypes.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hargs.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hargs.el
> lrwxr-xr-x 1 schmitta staff 66 Nov 2 13:08 hbdata.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hbdata.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hbmap.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hbmap.el
> -rw-r--r--  1 schmitta  staff   3405 Nov  2 13:08 hbmap.elc
> lrwxr-xr-x 1 schmitta staff 64 Nov 2 13:08 hbut.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hbut.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hgnus.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hgnus.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hhist.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hhist.el
> -rw-r--r--  1 schmitta  staff   1562 Nov  2 13:08 hhist.elc
> lrwxr-xr-x 1 schmitta staff 71 Nov 2 13:08 hib-debbugs.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hib-debbugs.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hib-doc-id.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hib-doc-id.el
> lrwxr-xr-x 1 schmitta staff 67 Nov 2 13:08 hib-kbd.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hib-kbd.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hib-social.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hib-social.el
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hibtypes.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hibtypes.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hinit.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hinit.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hload-path.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hload-path.el
> -rw-r--r--  1 schmitta  staff   5396 Nov  2 13:08 hload-path.elc
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hmail.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmail.el
> -rw-r--r--  1 schmitta  staff   7726 Nov  2 13:08 hmail.elc
> lrwxr-xr-x  1 schmitta  staff     63 Nov  2 13:08 hmh.el@ -> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmh.el
> lrwxr-xr-x 1 schmitta staff 67 Nov 2 13:08 hmoccur.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmoccur.el
> -rw-r--r--  1 schmitta  staff   6047 Nov  2 13:08 hmoccur.elc
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hmouse-drv.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-drv.el
> lrwxr-xr-x 1 schmitta staff 71 Nov 2 13:08 hmouse-info.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-info.el
> -rw-r--r--  1 schmitta  staff   9481 Nov  2 13:08 hmouse-info.elc
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hmouse-key.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-key.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hmouse-mod.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-mod.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hmouse-sh.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-sh.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hmouse-tag.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hmouse-tag.el
> lrwxr-xr-x 1 schmitta staff 65 Nov 2 13:08 hpath.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hpath.el
> lrwxr-xr-x 1 schmitta staff 66 Nov 2 13:08 hrmail.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hrmail.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hsettings.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsettings.el
> lrwxr-xr-x 1 schmitta staff 66 Nov 2 13:08 hsmail.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsmail.el
> lrwxr-xr-x 1 schmitta staff 73 Nov 2 13:08 hsys-org-roam.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsys-org-roam.el
> -rw-r--r--  1 schmitta  staff    621 Nov  2 13:08 hsys-org-roam.elc
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hsys-org.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsys-org.el
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hsys-www.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsys-www.el
> lrwxr-xr-x 1 schmitta staff 72 Nov 2 13:08 hsys-youtube.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hsys-youtube.el
> lrwxr-xr-x  1 schmitta  staff     63 Nov  2 13:08 htz.el@ -> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/htz.el
> -rw-r--r--  1 schmitta  staff  10349 Nov  2 13:08 htz.elc
> lrwxr-xr-x 1 schmitta staff 77 Nov 2 13:08 hui-dired-sidebar.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-dired-sidebar.el
> -rw-r--r--  1 schmitta  staff   1641 Nov  2 13:08 hui-dired-sidebar.elc
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hui-em-but.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-em-but.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hui-jmenu.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-jmenu.el
> -rw-r--r--  1 schmitta  staff   8079 Nov  2 13:08 hui-jmenu.elc
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hui-menu.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-menu.el
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hui-mini.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-mini.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hui-mouse.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-mouse.el
> lrwxr-xr-x 1 schmitta staff 72 Nov 2 13:08 hui-register.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-register.el
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hui-select.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-select.el
> lrwxr-xr-x 1 schmitta staff 72 Nov 2 13:08 hui-treemacs.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-treemacs.el
> -rw-r--r--  1 schmitta  staff   2988 Nov  2 13:08 hui-treemacs.elc
> lrwxr-xr-x 1 schmitta staff 70 Nov 2 13:08 hui-window.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui-window.el
> lrwxr-xr-x  1 schmitta  staff     63 Nov  2 13:08 hui.el@ -> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hui.el
> lrwxr-xr-x 1 schmitta staff 64 Nov 2 13:08 hvar.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hvar.el
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hversion.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hversion.el
> lrwxr-xr-x  1 schmitta  staff     63 Nov  2 13:08 hvm.el@ -> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hvm.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hycontrol.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hycontrol.el
> lrwxr-xr-x 1 schmitta staff 68 Nov 2 13:08 hypb-ert.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hypb-ert.el
> lrwxr-xr-x 1 schmitta staff 76 Nov 2 13:08 hypb-maintenance.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hypb-maintenance.el
> lrwxr-xr-x 1 schmitta staff 64 Nov 2 13:08 hypb.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hypb.el
> -rw-r--r--  1 schmitta  staff  68662 Nov  2 13:08 hyperbole-autoloads.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hyperbole.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hyperbole.el
> lrwxr-xr-x 1 schmitta staff 71 Nov 2 13:08 hyrolo-demo.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hyrolo-demo.el
> lrwxr-xr-x 1 schmitta staff 72 Nov 2 13:08 hyrolo-logic.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hyrolo-logic.el
> lrwxr-xr-x 1 schmitta staff 71 Nov 2 13:08 hyrolo-menu.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hyrolo-menu.el
> lrwxr-xr-x 1 schmitta staff 66 Nov 2 13:08 hyrolo.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hyrolo.el
> lrwxr-xr-x 1 schmitta staff 69 Nov 2 13:08 hywconfig.el@ ->
> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/hywconfig.el
> drwxr-xr-x  2 schmitta  staff     64 Nov  2 13:19 kotl/
> lrwxr-xr-x  1 schmitta  staff     63 Nov  2 13:08 set.el@ -> /Users/schmitta/.emacs.d/.local/straight/repos/hyperbole/set.el
> -rw-r--r--  1 schmitta  staff   6611 Nov  2 13:08 set.elc
>
> the kotl directory is itself empty.
>
> Here is the error trace when I try to load hyperbole (by turning the
> mode on):
>
> Debugger entered--Lisp error: (error "Eager macro-expansion failure: (error \"Hyperbole f...")
>   signal(error ("Eager macro-expansion failure: (error \"Hyperbole f..."))
>   error("Eager macro-expansion failure: %S" (error "Hyperbole failed to generate autoload files; try r..."))
>   internal-macroexpand-for-load((eval-and-compile (when (and (boundp
> 'hyperb:dir) (null hyperb:dir)) (makunbound 'hyperb:dir) (setq
> features (delq 'hload-path features) features (delq 'hversion
> features))) (unless (or (require 'hversion nil t) (and (stringp
> load-file-name) (require 'hversion (expand-file-name "hversion"
> (file-name-directory load-file-name)) t))) (error "(Hyperbole):
> Startup failure: `hyperb:dir' must be..."))) nil)
>   eval-buffer(#<buffer *load*> nil
> "/Users/schmitta/.emacs.d/.local/straight/build-29...." nil t) ;
> Reading at buffer position 5076
>   load-with-code-conversion("/Users/schmitta/.emacs.d/.local/straight/build-29...."
> "/Users/schmitta/.emacs.d/.local/straight/build-29...." nil t)
>   autoload-do-load((autoload "hyperbole"
> ("/Users/schmitta/.emacs.d/.local/etc/@/init.29.elc" . 274169) t nil)
> hyperbole-mode)
>   command-execute(hyperbole-mode record)
>   execute-extended-command(nil "hyperbole-mode" nil)
>   funcall-interactively(execute-extended-command nil "hyperbole-mode" nil)
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)
>
> If it matters the value of hyperb:dir is
> "/Users/schmitta/.emacs.d/.local/straight/build-29.1/hyperbole/"
>
> Here ie how I install hyperbole in doom emacs:
>
> in "packages.el":
> (package! hyperbole :recipe (:host nil :repo "https://git.savannah.gnu.org/git/hyperbole.git"))
>
> in "config.el":
> (use-package! hyperbole
>   :defer t
>   :config
>   (setq hsys-org-enable-smart-keys t))
>
> Please don’t hesitate to ask for additional information on how to debug
> this.
>
> Best,
>
> Alan
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole

Thanks for the report.

I'm afraid we have not tested upgrading using straight. Only initial install. The test we have is executed by running "make install-straight" from a Hyperbole src directory. When I try that today I get a properly filled kotl subdir in the build folder. But that is a first install and not your update case as you point out.

Maybe you could wipe your install and do an initial install and verify that the kotl folder and autoloads are there as expected? Just to make sure what state you upgraded from? It would work as temporary workaround for your issue as well I think.

To solve the problem we need to understand why straight has an issue with the kotl subdirectory. From what I understand the task of creating the autoloads should be performed by the package manager on the update. If the autoloads are not in place when starting Hyperbole it will not work.

Yours
-- 
%% Mats